type level = Error | Warning | Info

let level = ref Info
let set_level l = level := l

let info s =
    if !level = Info then
        prerr_endline ("[info] " ^ s)
    else ()

let warning s =
    if !level != Error then
        prerr_endline ("[warning] " ^ s)
    else ()

let error s = prerr_endline ("[error] " ^ s)

let die s = error s; prerr_endline "GODIVA aborted."; exit 1
